HEADERS +=	$(COM_DIR)/*.h\
			$(COM_DIR)/slab/*.h\
			$(COM_DIR)/xbuf/*.h\
			$(COM_DIR)/iobuffer/*.h\
			$(COM_DIR)/ringbuffer/*.h\
			$(COM_DIR)/utils/*.h\
			$(COM_DIR)/crc32/*.h\
			$(COM_DIR)/threadpool/*.h\
			$(COM_DIR)/workqueue/*.h\
			$(COM_DIR)/jsonpacket/*h

SRCDIRS += $(COM_DIR)
SRCDIRS += $(COM_DIR)/slab
SRCDIRS += $(COM_DIR)/threadpool
SRCDIRS += $(COM_DIR)/workqueue
SRCDIRS += $(COM_DIR)/xbuf
SRCDIRS += $(COM_DIR)/iobuffer
SRCDIRS += $(COM_DIR)/ringbuffer
SRCDIRS += $(COM_DIR)/utils
SRCDIRS += $(COM_DIR)/crc32
SRCDIRS += $(COM_DIR)/jsonpacket


LIBHV_HEADERS += $(HEADERS)
CORE_SRCDIRS  += $(SRCDIRS)